GETBSIZE(3)

NAME
getbsize - get user block size

SYNOPSIS
#include <stdlib.h>
char *
getbsize(int *headerlenp, long *blocksizep);

DESCRIPTION
The getbsize function determines the user's preferred block size based on the value of the “BLOCKSIZE” environment variable; see environ(7) for details on its use and format.

The getbsize function returns a pointer to a null-terminated string describing the block size, something like “1K-blocks”. The memory referenced by headerlenp is filled in with the length of the string (not including the terminating null). The memory referenced by blocksizep is filled in with block size, in bytes.

If the user's block size is unreasonable, a warning message is written to standard error and the returned information reflects a block size of 512 bytes.

SEE ALSO
df(1), du(1), ls(1), systat(1), environ(7)

HISTORY
The getbsize function first appeared in 4.4BSD.